# flopc::MP_expression Class Reference
[Public interface]

Symbolic representation of a linear expression. More...

`#include <MP_expression.hpp>`

Inheritance diagram for flopc::MP_expression:
[legend]
Collaboration diagram for flopc::MP_expression:
[legend]

List of all members.

## Public Member Functions
| MP_expression ()
| default constructor
| MP_expression (MP_expression_base *r)
| Constructor for internal use.
| MP_expression (const Constant &c)
| Constructor which (silently) converts a Constant to a MP_expression.
| MP_expression (const VariableRef &v)
| Constructor which (silently) converts a Variable to a MP_expression.
virtual | ~MP_expression ()
## Friends
class | MP_constraint

## Detailed Description

Symbolic representation of a linear expression.

This is one of the main public interface classes. It is the basis for all linear expressions, including constraints, objective function, and expressions involving indexes.
Although these can be created directly and independently, it is expected these will be created through the use of the operators which are later in this file. (operator+, operator-, etc.)

Note:
  There are constructors which are (silently) used to convert \ other componenets into expressions.

Definition at line 122 of file MP_expression.hpp.

## Constructor & Destructor Documentation

flopc::MP_expression::MP_expression | ( |  | ) | `[inline]`

default constructor

Definition at line 126 of file MP_expression.hpp.

flopc::MP_expression::MP_expression | ( | MP_expression_base * | r | ) | `[inline]`

Constructor for internal use.

Todo:
  should this be private?

Definition at line 130 of file MP_expression.hpp.

flopc::MP_expression::MP_expression | ( | const Constant & | c | ) |

Constructor which (silently) converts a Constant to a MP_expression.

flopc::MP_expression::MP_expression | ( | const VariableRef & | v | ) |

Constructor which (silently) converts a Variable to a MP_expression.

virtual flopc::MP_expression::~MP_expression | ( |  | ) | `[inline, virtual]`

Definition at line 135 of file MP_expression.hpp.

## Friends And Related Function Documentation

friend class MP_constraint`[friend]`

Definition at line 123 of file MP_expression.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Smi-0.93.1/FlopCpp/src/MP_expression.hpp